Source: kombu
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Brian May <bam@debian.org>,
 Christopher Hoskin <mans0954@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Sergio Durigan Junior <sergiodj@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-amqp (>= 5.0.0) <!nocheck>,
 python3-anyjson (>= 0.3.3) <!nocheck>,
 python3-azure <!nocheck>,
 python3-botocore <!nocheck>,
 python3-case <!nocheck>,
 python3-django <!nocheck>,
 python3-mock <!nocheck>,
 python3-msgpack <!nocheck>,
 python3-pymongo <!nocheck>,
 python3-pyro4 <!nocheck>,
 python3-pytest <!nocheck>,
 python3-redis (>= 3.3.11) <!nocheck>,
 python3-simplejson <!nocheck>,
 python3-sphinx-celery <!nodoc>,
 python3-sqlalchemy <!nocheck>,
 python3-tz <!nocheck>,
 python3-vine <!nocheck>,
 python3-yaml <!nocheck>,
Build-Conflicts:
 python-cjson,
 python-sphinx,
Standards-Version: 4.6.0.1
Homepage: https://github.com/celery/kombu/
Vcs-Git: https://salsa.debian.org/python-team/packages/kombu.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/kombu
Rules-Requires-Root: no

Package: python-kombu-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: AMQP Messaging Framework for Python (Documentation)
 The aim of Kombu is to make messaging in Python as easy as possible by
 providing an idiomatic high-level interface for the AMQP protocol. It is meant
 to replace the carrot library by providing a compatibility layer.
 .
 Features:
  * Allows application authors to support several message server solutions by
    using pluggable transports.
  * Supports automatic encoding, serialization and compression of message
    payloads.
  * The ability to ensure that an operation is performed by gracefully handling
    connection and channel errors.
 .
 This package contains the documentation.

Package: python3-kombu
Architecture: all
Depends:
 python3-amqp (>= 5.0.0),
 python3-anyjson (>= 0.3.3),
 python3-vine,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-yaml,
Suggests:
 python-kombu-doc,
 python3-boto,
 python3-django,
 python3-pymongo,
 python3-redis,
 python3-sqlalchemy,
Breaks:
 python3-celery (<< 5.0),
Description: AMQP Messaging Framework for Python (Python3 version)
 The aim of Kombu is to make messaging in Python as easy as possible by
 providing an idiomatic high-level interface for the AMQP protocol. It is meant
 to replace the carrot library by providing a compatibility layer.
 .
 Features:
  * Allows application authors to support several message server solutions by
    using pluggable transports.
  * Supports automatic encoding, serialization and compression of message
    payloads.
  * The ability to ensure that an operation is performed by gracefully handling
    connection and channel errors.
 .
 This package contains the Python 3 version of the library.
